cURL
curl https://api.exponent.finance/clmm/6CFxKYZkRUDBcJSHo3PBHJ7iBiCmEXePrCFT26mZx1id/historical/fee-rate
import requests
response = requests.get("https://api.exponent.finance/clmm/6CFxKYZkRUDBcJSHo3PBHJ7iBiCmEXePrCFT26mZx1id/historical/fee-rate", timeout=30)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/clmm/6CFxKYZkRUDBcJSHo3PBHJ7iBiCmEXePrCFT26mZx1id/historical/fee-rate");
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
{
"7d": {
"feeRate": 0.001693788188840689,
"feesInBaseToken": 267357524.04940656
},
"30d": {
"feeRate": null,
"feesInBaseToken": null
},
"90d": {
"feeRate": null,
"feesInBaseToken": null
}
}
{
"error": "<message>"
}
History
CLMM trading fees
Retrieve global trading fee rates and fees over 7, 30, and 90 days.
GET
/
clmm
/
{address}
/
historical
/
fee-rate
cURL
curl https://api.exponent.finance/clmm/6CFxKYZkRUDBcJSHo3PBHJ7iBiCmEXePrCFT26mZx1id/historical/fee-rate
import requests
response = requests.get("https://api.exponent.finance/clmm/6CFxKYZkRUDBcJSHo3PBHJ7iBiCmEXePrCFT26mZx1id/historical/fee-rate", timeout=30)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/clmm/6CFxKYZkRUDBcJSHo3PBHJ7iBiCmEXePrCFT26mZx1id/historical/fee-rate");
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
{
"7d": {
"feeRate": 0.001693788188840689,
"feesInBaseToken": 267357524.04940656
},
"30d": {
"feeRate": null,
"feesInBaseToken": null
},
"90d": {
"feeRate": null,
"feesInBaseToken": null
}
}
{
"error": "<message>"
}
Path parameters
string
required
Solana account address.
cURL
curl https://api.exponent.finance/clmm/6CFxKYZkRUDBcJSHo3PBHJ7iBiCmEXePrCFT26mZx1id/historical/fee-rate
import requests
response = requests.get("https://api.exponent.finance/clmm/6CFxKYZkRUDBcJSHo3PBHJ7iBiCmEXePrCFT26mZx1id/historical/fee-rate", timeout=30)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/clmm/6CFxKYZkRUDBcJSHo3PBHJ7iBiCmEXePrCFT26mZx1id/historical/fee-rate");
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
{
"7d": {
"feeRate": 0.001693788188840689,
"feesInBaseToken": 267357524.04940656
},
"30d": {
"feeRate": null,
"feesInBaseToken": null
},
"90d": {
"feeRate": null,
"feesInBaseToken": null
}
}
{
"error": "<message>"
}